<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigurationDB: fwConfigurationDB_DeviceConfiguration.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwConfigurationDB__DeviceConfiguration_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwConfigurationDB_DeviceConfiguration.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a1b940ea527971e12494a3693a6c7a069"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__DeviceConfiguration_8ctl.html#a1b940ea527971e12494a3693a6c7a069">_fwConfigurationDB_savePropAddressToDB</a> (dyn_string dpes, dyn_int ipropIds, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a1b940ea527971e12494a3693a6c7a069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bf776d12957d295601195038e6e7a4a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__DeviceConfiguration_8ctl.html#a9bf776d12957d295601195038e6e7a4a">_fwConfigurationDB_savePropAlertsToDB</a> (dyn_string dpes, dyn_int ipropIds, string configurationName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a9bf776d12957d295601195038e6e7a4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ff3f9cf69016d6a9508b9a1c3fe0da1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__DeviceConfiguration_8ctl.html#a2ff3f9cf69016d6a9508b9a1c3fe0da1">_fwConfigurationDB_savePropArchivingToDB</a> (dyn_string dpes, dyn_int ipropIds, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a2ff3f9cf69016d6a9508b9a1c3fe0da1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a005a08cc68340af2cf024a56fa11e80a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__DeviceConfiguration_8ctl.html#a005a08cc68340af2cf024a56fa11e80a">fwConfigurationDB_saveDeviceConfigurationInDB</a> (dyn_string deviceList, string hierarchyType, string configurationName, anytype saveConfigs, dyn_string &amp;exceptionInfo, string systemName=&quot;&quot;, string configurationDescription=&quot;&quot;)</td></tr>
<tr class="separator:a005a08cc68340af2cf024a56fa11e80a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d054601d84fb7274da4d4d8a2e6998d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__DeviceConfiguration_8ctl.html#a2d054601d84fb7274da4d4d8a2e6998d">fwConfigurationDB_saveDeviceConfiguration</a> (dyn_string deviceList, string configurationName, string hierarchyType, dyn_string &amp;exceptionInfo, int options=fwConfigurationDB_deviceConfig_ALLDEVPROPS, bool updateExisting=false, string confDescription=&quot;&quot;)</td></tr>
<tr class="separator:a2d054601d84fb7274da4d4d8a2e6998d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a690c4c172ecf686c916fda36933ff6d2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__DeviceConfiguration_8ctl.html#a690c4c172ecf686c916fda36933ff6d2">fwConfigurationDB_getDevicesInConfiguration</a> (string configurationName, string hierarchyType, string topNode, dyn_dyn_mixed &amp;deviceListObject, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a690c4c172ecf686c916fda36933ff6d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This package contains device-configuration functions of the Configuration Database tool</p>
<p>(c) Copyright CERN, All Rights Reserved </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a1b940ea527971e12494a3693a6c7a069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b940ea527971e12494a3693a6c7a069">&#9670;&nbsp;</a></span>_fwConfigurationDB_savePropAddressToDB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_savePropAddressToDB </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>ipropIds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Extracts addressing configuration from PVSS and save to DB</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of the data point element names for which configuration is requested </td></tr>
    <tr><td class="paramname">ipropIds</td><td>corresponding list of IPROP_ID identifiers (in the database) of the data-point elements</td></tr>
  </table>
  </dd>
</dl>
<p>we assume that the configuration was already created, and ipropIds are valid </p>

</div>
</div>
<a id="a9bf776d12957d295601195038e6e7a4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bf776d12957d295601195038e6e7a4a">&#9670;&nbsp;</a></span>_fwConfigurationDB_savePropAlertsToDB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_savePropAlertsToDB </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>ipropIds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>configurationName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Extracts alert configuration from PVSS and save to DB</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of the data point element names for which configuration is requested </td></tr>
    <tr><td class="paramname">ipropIds</td><td>corresponding list of IPROP_ID identifiers (in the database) of the data-point elements </td></tr>
    <tr><td class="paramname">configurationName</td><td>the name of the current configuration; we need it to resolve the DPEs for summary alerts</td></tr>
  </table>
  </dd>
</dl>
<p>we assume that the configuration was already created, and ipropIds are valid </p>

</div>
</div>
<a id="a2ff3f9cf69016d6a9508b9a1c3fe0da1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ff3f9cf69016d6a9508b9a1c3fe0da1">&#9670;&nbsp;</a></span>_fwConfigurationDB_savePropArchivingToDB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_savePropArchivingToDB </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>ipropIds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Extracts archiving configuration from PVSS and save to DB</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of the data point element names for which configuration is requested </td></tr>
    <tr><td class="paramname">ipropIds</td><td>corresponding list of IPROP_ID identifiers (in the database) of the data-point elements</td></tr>
  </table>
  </dd>
</dl>
<p>we assume that the configuration was already created, and ipropIds are valid </p>

</div>
</div>
<a id="a005a08cc68340af2cf024a56fa11e80a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a005a08cc68340af2cf024a56fa11e80a">&#9670;&nbsp;</a></span>fwConfigurationDB_saveDeviceConfigurationInDB()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_saveDeviceConfigurationInDB </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>deviceList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>hierarchyType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>configurationName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">anytype&#160;</td>
          <td class="paramname"><em>saveConfigs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>systemName</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>configurationDescription</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Main function that saves static configuration - compatibility mode</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">saveConfigs</td><td>may either be of bool, or of int type; in the former case, passing FALSE means that only the minimal (hierarchy) information is stored; passing TRUE means all configs of the devices are stored.@br If the int-typed parameter is used it should contain the sum of options refering to the configs that should be stored: the deviceConfigsIndices constants should be used. To store no configs (i.e. only the minimal hierarchy information), one should pass 0; to store all properties one should pass the <code>fwConfigurationDB_deviceConfig_ALLDEVPROPS</code> constant. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2d054601d84fb7274da4d4d8a2e6998d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d054601d84fb7274da4d4d8a2e6998d">&#9670;&nbsp;</a></span>fwConfigurationDB_saveDeviceConfiguration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_saveDeviceConfiguration </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>deviceList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>configurationName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>hierarchyType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>options</em> = <code>fwConfigurationDB_deviceConfig_ALLDEVPROPS</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>updateExisting</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>confDescription</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Main function that saves static configuration </p>

</div>
</div>
<a id="a690c4c172ecf686c916fda36933ff6d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a690c4c172ecf686c916fda36933ff6d2">&#9670;&nbsp;</a></span>fwConfigurationDB_getDevicesInConfiguration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_getDevicesInConfiguration </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>configurationName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>hierarchyType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>topNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>deviceListObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>helper function that shows the devices included in configuration, starting from specified topDevice</p>
<p>if configurationName is empty, it takes the devices of "ITEMS" table (i.e. "all")</p>
<p>topNode should specify the system name for hardware hierarchy; if left empty, all devices from all systems are returned </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwConfigurationDB__DeviceConfiguration_8ctl.html">fwConfigurationDB_DeviceConfiguration.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
